Delete External ID for an Entity

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Purpose: Use this endpoint to delete the external integration ID for an entity. For example, if you were earlier using a third-party integration for managing your users, and no longer require it, you can go ahead and call this endpoint to remove the association of your users with the third-party software inside Motive.

📘

NOTE

For updating the external integration details of entities such as users, vehicles, assets, or groups, you will require a Motive generated 'id'. This can be obtained by passing the GET v1/{entity}/:id endpoint.

For example, if you are updating the external integration info for a user, pass the GET v1/user/:<user_id>. This endpoint will now give you the following output:

"external_ids": [
      {
        "id": 809946,
        "external_id": "112233",
        "integration_name": "INT"
      },

Add the id value to the path parameter.

Response Parameter

success

  • Type: string
  • Description: Denotes if the entity and third-party association was successfully deleted or not.

Path Params
string
required

Denotes the unique identifier assigned to the External ID.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json